| BSL430.NET 1.3.4

Static Public Attributes | List of all members
BSL430_NET.Constants.Const Class Reference

## Static Public Attributes
const bool | IS_DEBUG = false
const int | TIMEOUT_OPEN = 1000
const int | TIMEOUT_SCAN = 2000
const int | TIMEOUT_READ = 4000
const int | DELAY_ERR_RET = 200
const int | DELAY_OK_RET = 50
const int | DEV_STR_MAX_LEN = 70
const uint | MSP430_RESET_VECTOR_ADDR = 0xFFFE
const int | BSL430_DELAY_BETWEEN_CMDS = 10
const byte | BSL_CMD56__RX_DATA_BLOCK = 0x10
const byte | BSL_CMD56__RX_DATA_BLOCK_FAST = 0x1B
const byte | BSL_CMD56__RX_PASSWORD = 0x11
const byte | BSL_CMD56__ERASE_SEGMENT = 0x12
const byte | BSL_CMD56__LOCK_INFO = 0x13
const byte | BSL_CMD56__MASS_ERASE = 0x15
const byte | BSL_CMD56__CRC_CHECK = 0x16
const byte | BSL_CMD56__LOAD_PC = 0x17
const byte | BSL_CMD56__TX_DATA_BLOCK = 0x18
const byte | BSL_CMD56__TX_BSL_VERSION = 0x19
const byte | BSL_CMD56__TX_BUFFER_SIZE = 0x1A
const byte | BSL_CMD56__CHANGE_BAUD_RATE = 0x52
const byte | BSL_CMD56__RESP_HEAD1 = 0x3A
const byte | BSL_CMD56__RESP_HEAD2 = 0x3B
const byte | BSL_BAUD56__9600 = 0x02
const byte | BSL_BAUD56__19200 = 0x03
const byte | BSL_BAUD56__38400 = 0x04
const byte | BSL_BAUD56__57600 = 0x05
const byte | BSL_BAUD56__115200 = 0x06
const byte | BSL_HEADER56__UART = 0x80
const byte | BSL_HEADER56__USB = 0x3F
const byte | BSL_SIZE56__HEADER_UART = 6
const byte | BSL_SIZE56__HEADER_USB = 2
const byte | BSL_SIZE56__CMD = 1
const byte | BSL_SIZE56__DATA_CHANGE_BAUD_RATE = 0
const byte | BSL_SIZE56__DATA_TX_BSL_VERSION = 4
const byte | BSL_SIZE56__DATA_MASS_ERASE = 1
const byte | BSL_SIZE56__DATA_CRC_CHECK = 2
const byte | BSL_SIZE56__DATA_RX_PASSWORD = 1
const byte | BSL_SIZE56__DATA_RX_DATA_BLOCK = 1
const byte | BSL_SIZE56__DATA_TX_DATA_BLOCK = 1
const int | BSL_SIZE56__DATA_LOAD_PC = -1
const byte | BSL_SIZE56__PASSWORD = 32
const byte | BSL_SIZE56__RX_BLOCK_OVERHEAD = 4
const byte | BSL_SIZE124__PASSWORD = 20
const byte | BSL_SIZE124__RX_BLOCK_OVERHEAD = 4
const byte | BSL_SIZE124__DEFAULT_RX = 1
const byte | BSL_SIZE124__FRAME_OVERHEAD = 6
const byte | BSL_SIZE124__BSL_VERSION = 10
const byte | BSL_GENERAL124__SYNC = 0x80
const byte | BSL_GENERAL124__ACK = 0x90
const byte | BSL_GENERAL124__NAK = 0xA0
const byte | BSL_DATA124__DEFAULT_L1_L2 = 0x04
const byte | BSL_DATA124__PW_L1_L2 = 0x24
const byte | BSL_DATA124__DUMMY = 0xFF
const byte | BSL_DATA124__MASS_ERASE_LL = 0x06
const byte | BSL_DATA124__MASS_ERASE_LH = 0xA5
const byte | BSL_CMD124__RX_DATA_BLOCK = 0x12
const byte | BSL_CMD124__RX_PASSWORD = 0x10
const byte | BSL_CMD124__ERASE_SEGMENT = 0x16
const byte | BSL_CMD124__ERASE_MAIN_OR_INFO = 0x16
const byte | BSL_CMD124__MASS_ERASE = 0x18
const byte | BSL_CMD124__ERASE_CHECK = 0x1C
const byte | BSL_CMD124__CHANGE_BAUD_RATE = 0x20
const byte | BSL_CMD124__SET_MEM_OFFSET = 0x21
const byte | BSL_CMD124__LOAD_PC = 0x1A
const byte | BSL_CMD124__TX_DATA_BLOCK = 0x14
const byte | BSL_CMD124__TX_BSL_VERSION = 0x1E

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Constants.cs